Subject: Re: FVWM: aterm - rxvt problem

From: Dominik Vogt <[email-masked]>
Date: Fri, 5 Jul 2002 23:35:17 +0200

On Tue, Jul 02, 2002 at 09:27:21AM +0200, Philippe Naudin wrote:
> On Sat, 29 Jun 2002 21:53:01 +0200
> Dominik Vogt <[email-masked]> wrote:
> 
> > On Tue, Jun 25, 2002 at 11:49:33AM +0200, Philippe Naudin wrote:
> > > [snip]
> > > the option ClickToFocusPassesClickOff works fine when I click an
> > > unfocused aterm or rxvt, but not when I click and move the mouse before
> > > releasing the button (the client is focused _and_ a selection is made in
> > > it). 
> > > [snip]
> > 
> > There is little we can do about that.  It's not the click that
> > gets passed to the window - insofar fvwm works correctly.  The
> > problem is that rxvt and aterm request pointer motion events with
> > any button held down.  Fvwm releases the grab of the pointer after
> > the click is processed and further mouse events are processed by
> > the application.  It does not happen with xterm because xterm
> > requires to receive the click.
> > 
> > Bye
> 
> Hello Dominik,
> 
> aterm was working fine with fvwm-2.3.20. "Unfortunately" ;) there as
> been many improvements in version 2.4 and it would be a pity to switch
> back. 
> OTOH, I really like the look of aterm or rxvt ... Would it be possible
> to change the behaviour of FVWM so it grabs the pointer until the button
> release ? 

Yes, that's what the old code up to 2.3.23 was doing.  It's not
very nice to block the mouse completely in this case, but it seems
necessary here.  I have restored the old way for this special
case.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 10 Jul 2002 16:01:42 +0200

On Wed, Jul 10, 2002 at 02:49:08PM +0200, Philippe Naudin wrote:
> On Fri, 5 Jul 2002 23:35:17 +0200
> > > to change the behaviour of FVWM so it grabs the pointer until the
> > > button release ? 
> > 
> > necessary here. I have restored the old way for this special case.
> 
> Hello Dominik,
> 
> Thanks for the fasr fix, especially for a so specific problem !
> 
> I am using snapshot 20020708, and it works flawlessly with my fvwmrc.
> Aterm is back on my desktop :)
> 
> There is maybe something else that can be improved (but this is really
> _not_ of any importance) :
> if I focus a window (aterm or any other application) by a "click and
> drag", then release the mouse button, and then want to select some text by
> another "click and drag", I must wait one second or so between the two
> "click and drag". If this is due to a kind of timeout in fvwm, could it be
> reduced ?

There is no timeout, but a bug.  I've committed a fix already

> But once again, it is not of any importance in real work. I only saw it
> while clicking all around as a crazy user under acid ... and I have not
> been able to put fvwm in troubles ! 
> 
> A big ?thank you? !
> 
> Philippe

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, mail: [email-masked], phone: 0721/91374-382
Schlund + Partner AG, Erbprinzenstr. 4-12, D-76133 Karlsruhe